org.apache.myfaces.trinidad.change

## Class RowKeySetAttributeChange

- java.lang.Object
- - org.apache.myfaces.trinidad.change.ComponentChange
  - - org.apache.myfaces.trinidad.change.AttributeComponentChange
    - - org.apache.myfaces.trinidad.change.RowKeySetAttributeChange

- All Implemented Interfaces:
    Serializable

      public final class RowKeySetAttributeChange
      extends AttributeComponentChange

  Handles RowKeySetAttribute changes, which need to be handled specially because they are mutable and programmers assume that the instances don't change
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowKeySetAttributeChange(String clientId, String propertyName, Object value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changeComponent(javax.faces.component.UIComponent uiComponent)` Apply this change to the specied component

    - ### Methods inherited from class org.apache.myfaces.trinidad.change.AttributeComponentChange

      `getAttributeName, getAttributeValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RowKeySetAttributeChange

          public RowKeySetAttributeChange(String clientId,
                                  String propertyName,
                                  Object value)

  - ### Method Detail

    - #### changeComponent

          public void changeComponent(javax.faces.component.UIComponent uiComponent)

      Description copied from class: `AttributeComponentChange`
      Apply this change to the specied component
      Overrides:
        `changeComponent` in class `AttributeComponentChange`
      Parameters:
        `uiComponent` - the UIComponent to apply the change to

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.